Bug 1721590 - tests/bugs/posix/bug-1040275-brick-uid-reset-on-volume-restart.t is failing
Summary: tests/bugs/posix/bug-1040275-brick-uid-reset-on-volume-restart.t is failing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tests
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohit Agrawal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1728182
TreeView+ depends on / blocked
 
Reported: 2019-06-18 15:51 UTC by Mohit Agrawal
Modified: 2019-07-09 09:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1728182 (view as bug list)
Environment:
Last Closed: 2019-06-25 05:22:32 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22893 None Merged test: Fix spurious failures in bug-1040275-brick-uid-reset-on-volume-restart.t 2019-06-25 05:22:30 UTC

Description Mohit Agrawal 2019-06-18 15:51:26 UTC
Description of problem:
tests/bugs/posix/bug-1040275-brick-uid-reset-on-volume-restart.t is failing

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run test case tests/bugs/posix/bug-1040275-brick-uid-reset-on-volume-restart.t

2.
3.

Actual results:
test case tests/bugs/posix/bug-1040275-brick-uid-reset-on-volume-restart.t is failing
 

Expected results:
test case should not fail

Additional info:

Comment 1 Mohit Agrawal 2019-06-18 15:56:44 UTC
.t is failing and throwing error transport endpoint is not connected at the time of running
stat command on mount point after just start the volume.
In logs it is showing the client is not able to establish a connection with server so at the running stat command it is failing.
To avoid the error needs to wait after just starting the volume.

Comment 2 Worker Ant 2019-06-18 16:01:10 UTC
REVIEW: https://review.gluster.org/22893 (test: test bug-1040275-brick-uid-reset-on-volume-restart.t is failing) posted (#1) for review on master by MOHIT AGRAWAL

Comment 3 Worker Ant 2019-06-25 05:22:32 UTC
REVIEW: https://review.gluster.org/22893 (test: Fix spurious failures in bug-1040275-brick-uid-reset-on-volume-restart.t) merged (#6) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.